Subject: Re: [RFC PATCH net-next v4 01/28] net: mdio: ipq8064: clean whitespaces in define

From: Jonathan McDowell <[email-masked]>
Date: Sun, 16 May 2021 10:37:07 +0100

On Sun, May 16, 2021 at 02:23:18AM +0200, Ansuel Smith wrote:
> On Sun, May 16, 2021 at 01:52:05AM +0200, Andrew Lunn wrote:
> > > > They're on 2 separate sets of GPIOs if that makes a difference - switch0
> > > > is in gpio0/1 and switch1 is on gpio10/11. Is the internal MDIO logic
> > > > shared between these? Also even if that's the case it seems odd that
> > > > enabling the MDIO for just switch0 doesn't work?
> > > > 
> > > 
> > > The dedicated internal mdio on ipq8064 is unique and present on the
> > > gmac0 address so yes it's shared between them. And this seems to be the
> > > problem... As you notice the fact that different gpio are used for the
> > > different switch fix the problem. So think that to use the dedicated
> > > mdio bus with both switch we need to introduce some type of
> > > syncronization or something like that.
> > 
> > Please could you describe the hardware in a bit more details. Or point
> > me at a datasheet. It sounds like you have an MDIO mux? Linux has this
> > concept, so you might need to implement a mux driver.
> > 
> > 	 Andrew
> 
> Datasheet of ipq8064 are hard to find and pricey.
> Will try hoping I don't write something very wrong.
> Anyway on the SoC there are 4 gmac (most of the time 2 are used
> and represent the 2 cpu port) and one mdio bus present on the gmac0
> address. 

There's a suggestion of an additional mdio bus on the gmac1 address at:

https://github.com/adron-s/openwrt-rb3011/commit/dd63b3ef563fa77fd2fb7d6ca12ca9411cd18740

is that not accurate?

J.

-- 
   Funny how life imitates LSD.    |  .''`.  Debian GNU/Linux Developer
                                   | : :' :  Happy to accept PGP signed
                                   | `. `'   or encrypted mail - RSA
                                   |   `-    key on the keyservers.